﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Infragistics.Windows;
using Infragistics.Windows.Controls;

namespace TamControlItemsDragging
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void DragSource_DragEnter(object sender, Infragistics.DragDrop.DragDropCancelEventArgs e)
        {
            if (e.DropTarget != e.DragSource)
                ((e.DropTarget as Border).TemplatedParent as TabItemEx).Background = LayoutRoot.Resources["HightlightBrush"] as LinearGradientBrush;
        }

        private void DragSource_DragLeave(object sender, Infragistics.DragDrop.DragDropEventArgs e)
        {
            if (e.DropTarget != e.DragSource)
                ((e.DropTarget as Border).TemplatedParent as TabItemEx).Background = LayoutRoot.Resources["NormalBrush"] as LinearGradientBrush;

        }

        private void DragSource_Drop(object sender, Infragistics.DragDrop.DropEventArgs e)
        {
            if (e.DropTarget != e.DragSource)
            {

                TabItemEx drag = (e.DragSource as Border).TemplatedParent as TabItemEx;
                TabItemEx drop = (e.DropTarget as Border).TemplatedParent as TabItemEx;

                drop.Background = LayoutRoot.Resources["NormalBrush"] as LinearGradientBrush;

                int insetIndex = (drop.Parent as XamTabControl).Items.IndexOf(drop);

                (drop.Parent as XamTabControl).Items.Remove(drag);
                (drop.Parent as XamTabControl).Items.Insert(insetIndex, drag);
                (drop.Parent as XamTabControl).SelectedItem = drag;
            }
        }
    }
}
